The Bundle Wrapper API takes the catalog code and offerId and populates the bundle wrapper in the cache, which consists of the in-memory order line item objects used during basket operations. You must execute this API for each product offerId that you received in the response from the Catalog Profile API.
You can obtain the offerId required in the URI of this API from the result of the apiResponse.data.catalogProductRelationDetails.Product node in the response body of the Catalog Profile API.
Precondition
You must first run the Catalog Profile API to obtain the offerId required in the request body of this API.
If you specify just one of these two parameters, it follows the behavior described in the table below and accepts your defined time for the parameter you specified. If you are using one or both parameters, you must specify them with the same values for all of the Populate Cache APIs in this sequence.
Parameter
Example
Default
Optional/Required
Notes
effectiveStartTime
2001-07-04T12:08:56
Current date and time
Optional
effectiveStartTime is the time that you want your cached catalog entries to be effective. It should be in the UTC date-time format. Your effectiveStartTime must occur after the current time for which you are executing the Populate Cache APIs or you will receive an error message.
expirationTime
2001-07-04T12:08:56
effectiveStartTime + TimeToLive
Optional
expirationTime is the time that you want your cached catalog entries to expire. It should also be in the UTC date-time format. Your expirationTime must occur after your effectiveStartTime or you receive an error message. TimeToLive is a custom setting created in CPQ Configuration Setup. It has a default value of 30 days.
Here is an example of how to pass the URI parameters:
You can run this API in parallel for multiple offers. For example, if there are 10 catalogs (Catalog1, Catalog2..Catalog 10) and each catalog has 100 offers, you can run this API for all 1,000 offers in parallel threads.
1THREAD1 - GET /services/apexrest/{namespace}/v3/admin/catalogs/catalog1/offers/offer1/bundlewrapper2THREAD2 - GET /services/apexrest/{namespace}/v3/admin/catalogs/catalog1/offers/offer2/bundlewrapper3......4THREAD10 - GET /services/apexrest/{namespace}/v3/admin/catalogs/catalog1/offers/offer10/bundlewrapper5THREAD11 - GET /services/apexrest/{namespace}/v3/admin/catalogs/catalog2/offers/offer11/bundlewrapper6......7THREAD1000 - GET /services/apexrest/{namespace}/v3/admin/catalogs/catalog10/offers/offer/bundlewrapper
HTTP Headers
Header
Description
Content-Type
application/json
Response Body
This example shows the catalog code, offer Id, and other details.